=== debian/changelog ===
python-aiomodernforms (0.1.8-2) unstable; urgency=medium

  * Re-upload source-only.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Aug 2024 22:47:38 +0200

python-aiomodernforms (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1078032)

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Aug 2024 16:31:05 +0200
