=== debian/control ===
Source: python-aiomodernforms
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aresponses,
 python3-backoff,
 python3-coverage,
 python3-mypy,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-yarl,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiomodernforms
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiomodernforms.git
Homepage: https://github.com/wonderslug/aiomodernforms

Package: python3-aiomodernforms
Architecture: all
Depends:
 python3-aiohttp,
 python3-backoff,
 python3-yarl,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous client for Modern Forms fans
 This package makes it possible to control and monitor Modern Forms fans
 programmatically. It is mainly created to allow third-party programs to
 automate the behavior of the Modern Forms fans
 .
 This package is a dependency of Home Assistant.
